Name:           qt5-qtserialport
Version:        5.11.1
Release:        6
Summary:        Serialport component of qt5
License:        LGPLv2 with exceptions or LGPLv3 with exceptions
URL:            http://www.qt.io
Source0:        https://download.qt.io/new_archive/qt/5.11/5.11.1/submodules/qtserialport-everywhere-src-5.11.1.tar.xz

BuildRequires:  qt5-qtbase-devel >= %{version} pkgconfig(libudev)
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
Qt Serial Port provides the basic functionality, which includes configuring, I/O operations,
getting and setting the control signals of the RS-232 pinouts.

%package devel
Summary:        Development files for qt5-qtserialport
Requires:       qt5-qtbase-devel  %{name} = %{version}-%{release}

Obsoletes:      %{name}-examples = %{version}-%{release} 
Provides:       %{name}-examples < %{version}-%{release}

%description devel
This package contains the development files and examples for %{name}.

%prep
%autosetup -n qtserialport-everywhere-src-%{version} -p1

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for file in libQt5*.prl; do sed -i '/^QMAKE_PRL_BUILD_DIR/d' $file; done
for la_file in libQt5*.la; do
    rm -f $la_file
    if [ -f "$(basename $la_file .la).so" ]; then
        sed -i '/^QMAKE_PRL_LIBS/d' $(basename $la_file .la).prl
    fi
done
popd

%ldconfig_scriptlets

%files
%license LICENSE.*
%{_qt5_libdir}/libQt5*.so.5*

%files devel
%{_qt5_libdir}/libQt5*.{so,prl}
%dir %{_qt5_libdir}/cmake/Qt5SerialPort/
%{_qt5_libdir}/cmake/*/*.cmake
%{_qt5_archdatadir}/*/*/*.pri
%{_qt5_headerdir}/*/
%{_qt5_libdir}/*/*.pc
%{_qt5_examplesdir}/

%changelog
* Thu Mar 18 2021 maminjie <maminjie1@huawei.com> - 5.11.1-6
- Fix syntax error when macro is not defined

* Mon Sep 14 2020 liuweibo <liuweibo10@huawei.com> - 5.11.1-5
- Fix Source0 

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 5.11.1-4
- Package init
